# Installation
> `npm install --save @types/postcss-safe-parser`

# Summary
This package contains type definitions for postcss-safe-parser (https://github.com/postcss/postcss-safe-parser#readme).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/postcss-safe-parser.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/postcss-safe-parser/index.d.ts)
````ts
import { Parser, Root } from "postcss";

/**
 * A fault-tolerant CSS parser for PostCSS, which will find & fix syntax errors, capable of parsing any input.
 * It is useful for:
 * Parse legacy code with many hacks. For example, it can parse all examples from {@link http://browserhacks.com/|Browserhacks}.
 * Works with demo tools with live input like {@link http://simevidas.jsbin.com/gufoko/quiet|Autoprefixer demo}.
 */
declare namespace safeParser {
    type PostCssSafeParser = Parser<Root>;
}

declare const safeParser: safeParser.PostCssSafeParser;

export = safeParser;

````

### Additional Details
 * Last updated: Tue, 07 Nov 2023 09:09:39 GMT
 * Dependencies: [postcss](https://npmjs.com/package/postcss)

# Credits
These definitions were written by [Piotr Błażejewicz](https://github.com/peterblazejewicz), and [Fabian van der Veen](https://github.com/fvanderveen).
